/*  BSD-License:

Copyright (c) 2007 by Nils Springob, nicai-systems, Germany
Copyright (c) 2010 by Matthias Bunte, Germany

All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

  * Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
  * Neither the names of the authors the name nicai-systems nor
    the names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/

/*! @file    odometers.h
 *  @brief   Sensing the ticks at the wheelsensors
 *  @author  Matthias Bunte (m_bunte@arcor.de)
 *  @date    2010-03-22
 */

#ifndef _BEELIB_ODOMETERS_H_
#define _BEELIB_ODOMETERS_H_

#ifdef __cplusplus
extern "C" {
#endif

// Initialisierung der Odometersmessung.
void Odometers_Init(void);

// Initialisierungszustand auslesen
uint8_t Odometers_Initialized(void);

// Pruefe, ob schon initialisiert wurde und wenn nicht, initialisiere
#define Odometers_CheckAndInit() do { \
  if (!Odometers_Initialized()) Odometers_Init(); \
} while (0)

// Lese linken Rad-Tick-Stand aus
uint8_t Odometers_Get_L_Val(void);

// Lese rechten Rad-Tick-Stand aus
uint8_t Odometers_Get_R_Val(void);

#ifdef __cplusplus
} // extern "C"
#endif

#endif // _BEELIB_ODOMETERS_H_

